#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 37. LXQt Desktop

- Prev

  kidletime-6.11.0 for lxqt

- Next

  libkscreen-6.3.2 for lxqt

- Up
- Home

# kwayland-6.3.2 for lxqt

## Introduction to kwayland

kwayland is a Qt-style API to interact with the wayland-client and wayland-server API.

This package is known to build and work properly using an LFS 12.3 platform.

### Important

This package is extracted from the KF6 set of packages. If KDE Frameworks-6.11.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/plasma/6.3.2/kwayland-6.3.2.tar.xz

- Download MD5 sum: 425782c861e1b1bf0bb49a782b402cd6

- Download size: 131 KB

- Estimated disk space required: 13 MB

- Estimated build time: 0.3 SBU (Using parallelism=4)

### kwayland Dependencies

#### Required

extra-cmake-modules-6.11.0, Mesa-24.3.4 (built with Wayland-1.23.0 support), plasma-wayland-protocols-1.16.0, and Qt-6.8.2

## Installation of kwayland

Install kwayland by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_BUILD_TYPE=Release         \
          -D CMAKE_INSTALL_LIBEXECDIR=libexec \
          -D KDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -D BUILD_TESTING=OFF                \
          -W no-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Library: libKWaylandClient.so
Installed Directories: /usr/include/KWayland and /usr/lib/cmake/KWayland

### Short Descriptions

`libKWaylandClient.so` | contains the wayland-client Qt-style wrapper library

- Prev

  kidletime-6.11.0 for lxqt

- Next

  libkscreen-6.3.2 for lxqt

- Up
- Home